Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Attributes | List of all members
DataResource Class Reference
Inheritance diagram for DataResource:

## Public Member Functions
| __init__ (self)
| encoding (self)
| get_data (self)
| get_text (self, errors='strict')

## Public Attributes
int | code_page = 0
| data = None
| encoding

## Static Public Attributes
int | accelerator = 9
int | animated_cursor = 21
int | animated_icon = 22
int | bitmap = 2
int | cursor = 1
int | cursor_group = 12
int | dialog = 5
int | dlg_include = 17
int | font = 8
int | font_directory = 7
int | html = 23
int | icon = 3
int | icon_group = 14
int | manifest = 24
int | menu = 4
int | message_table = 11
int | plug_play = 19
int | rcdata = 10
int | string = 6
int | version = 16
int | vxd = 20

## Protected Attributes
tuple | _ident = ()

## Detailed Description

     A resource entry in the resource table.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ encoding()

encoding | ( |  | self | ) |

## ◆ get_data()

get_data | ( |  | self | ) |

## ◆ get_text()

get_text | ( |  | self,
|  |  | errors = 'strict' )

## Member Data Documentation

## ◆ _ident

tuple _ident = ()
| protected

## ◆ accelerator

int accelerator = 9
| static

## ◆ animated_cursor

int animated_cursor = 21
| static

## ◆ animated_icon

int animated_icon = 22
| static

## ◆ bitmap

int bitmap = 2
| static

## ◆ code_page

code_page = 0

## ◆ cursor

int cursor = 1
| static

## ◆ cursor_group

int cursor_group = 12
| static

## ◆ data

data = None

## ◆ dialog

int dialog = 5
| static

## ◆ dlg_include

int dlg_include = 17
| static

## ◆ encoding

encoding

## ◆ font

int font = 8
| static

## ◆ font_directory

int font_directory = 7
| static

## ◆ html

int html = 23
| static

## ◆ icon

int icon = 3
| static

## ◆ icon_group

int icon_group = 14
| static

## ◆ manifest

int manifest = 24
| static

## ◆ menu

int menu = 4
| static

## ◆ message_table

int message_table = 11
| static

## ◆ plug_play

int plug_play = 19
| static

## ◆ rcdata

int rcdata = 10
| static

## ◆ string

int string = 6
| static

## ◆ version

int version = 16
| static

## ◆ vxd

int vxd = 20
| static